Flecs: include/flecs/addons/cpp/mixins/meta/component.inl File Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
component.inl File Reference

Meta component mixin. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
template<typename Func>
component & | opaque (const Func &type_support)
| Register an opaque type interface.
flecs::opaque< T > | opaque (flecs::entity_t as_type)
| Return opaque type builder for a type, serialized as the given type.
flecs::opaque< T > | opaque (flecs::entity as_type)
| Return opaque type builder for a type, serialized as the given type.
flecs::opaque< T > | opaque (flecs::untyped_component as_type)
| Return opaque type builder for a type, serialized as the given type.
template<typename ElemType>
flecs::opaque< T, ElemType > | opaque (flecs::id_t as_type)
| Return opaque type builder for a collection type.
component< T > & | constant (const char *name, T value)
| Add a constant.

## Detailed Description

Meta component mixin.

Definition in file component.inl.

## Function Documentation

## ◆ constant()

component< T > & constant | ( | const char * | name,
|  | T | value )
| related

Add a constant.

Definition at line 38 of file component.inl.

## ◆ opaque() [1/5]

template<typename Func>

component & opaque | ( | const Func & | type_support | ) |

Register an opaque type interface.

Definition at line 8 of file component.inl.

## ◆ opaque() [2/5]

flecs::opaque< T > opaque | ( | flecs::entity | as_type | ) |

Return opaque type builder for a type, serialized as the given type.

Definition at line 22 of file component.inl.

## ◆ opaque() [3/5]

flecs::opaque< T > opaque | ( | flecs::entity_t | as_type | ) |

Return opaque type builder for a type, serialized as the given type.

Definition at line 17 of file component.inl.

## ◆ opaque() [4/5]

template<typename ElemType>

flecs::opaque< T, ElemType > opaque | ( | flecs::id_t | as_type | ) |

Return opaque type builder for a collection type.

Definition at line 33 of file component.inl.

## ◆ opaque() [5/5]

flecs::opaque< T > opaque | ( | flecs::untyped_component | as_type | ) |

Return opaque type builder for a type, serialized as the given type.

Definition at line 27 of file component.inl.